Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# depends.h File Reference

Structures used for dependency checking. More...

`#include <header.h>`

Go to the source code of this file.

## Defines
#define | tsi_count tsi_u.count
#define | tsi_suc tsi_u.suc
## Typedefs
typedef transactionElement_s * | transactionElement
typedef tsortInfo_s * | tsortInfo
typedef dirInfo_s * | dirInfo
typedef availableList_s * | availableList
typedef problemsSet_s * | problemsSet
## Functions
int | headerMatchesDepFlags (Header h, const char *reqName, const char *reqEVR, int reqFlags)

## Detailed Description

Structures used for dependency checking.

Definition in file depends.h.

## Define Documentation

#define tsi_count tsi_u.count

| Definition at line 22 of file depends.h.

#define tsi_suc tsi_u.suc

| Definition at line 23 of file depends.h.

## Typedef Documentation

typedef struct transactionElement_s* transactionElement

| Definition at line 11 of file depends.h.

typedef struct tsortInfo_s* tsortInfo

| Definition at line 12 of file depends.h.